/**
 * Copyright 2006 Joseph M. Ferner
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *    
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.fernsroth.easyio;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.RandomAccessFile;

/**
 * 
 * @author Joseph M. Ferner (Near Infinity Corporation)
 */
public class EasyIORandomAccessFile extends RandomAccessFile implements
        IRandomAccessSource {

    /**
     * @param file the file to use for random access.
     * @param mode the mode.
     * @throws FileNotFoundException 
     */
    public EasyIORandomAccessFile(File file, String mode)
            throws FileNotFoundException {
        super(file, mode);
    }

}
